Skip to Content

Home

5 endpoints

POST /api/v5/artifacts/home/get

Home Get

Get simulations available for home (operational).

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

`object`

Response:

{ actor_name?: `string` | `null` items?: `ChatSimulationOperational`[] | `null` rubrics?: `RubricMapping`[] | `null` standard_groups?: `StandardGroupMapping`[] | `null` standards?: `StandardMapping`[] | `null` analytics?: `AnalyticsFacets` | `null` }

POST /api/v5/artifacts/home/search

Search Home

Get paginated attempt history for home.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ sort_by?: `string` | `null` sort_order?: `string` | `null` page?: `integer` page_size?: `integer` simulation_search?: `string` | `null` scenario_search?: `string` | `null` scenario_ids?: `string`[] | `null` infinite_mode?: `boolean` | `null` }

Response:

{ data?: `HistoryItem`[] total_count?: `integer` page?: `integer` page_size?: `integer` total_pages?: `integer` simulation_options?: `FilterOption`[] | `null` scenario_options?: `FilterOption`[] | `null` profile_options?: `FilterOption`[] | `null` }

POST /api/v5/artifacts/home/refresh

Home Refresh

Refresh home materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/home/export

Export Home

Export all home data as a clean, denormalized ZIP with certificate.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/home/docs

Get Home Docs Endpoint

Get composed documentation for the home analytics.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

Last updated on